
Ryzom - Bug # 1057

Status: Closed Priority: High
Author: Naush Category: OS: GNU/Linux
Created: 08/05/2010 Assignee: kervala
Updated: 11/11/2012 Due date:
Subject: X11 Key auto repeat
Description

Under X11 event for keyPress / keyRelease are send continuously until key release.

You can observe this behavior using 'INSERT' key in game.

History
#1 - 08/05/2010 08:49 am - kervala

Thanks a lot for reporting :)

#2 - 08/05/2010 02:19 pm - kervala
- Status changed from New to Assigned
- Assignee set to kervala
- Priority changed from Normal to High

#3 - 08/05/2010 02:24 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r602.

#4 - 08/05/2010 02:25 pm - kervala
- Target version set to Version 0.8.0

I fixed the returning key not identical for KeyPress and KeyRelease so it fixes the Keypad 0 key :)

#5 - 08/26/2010 07:36 pm - kervala
- Status changed from Resolved to Closed

#6 - 10/13/2010 01:38 pm - kervala
- Status changed from Closed to Assigned

This issue is still present when we are pressing and releasing other keys after pressing the 0.

It seems like setting _PreviousKey is not enough.
#7 - 10/13/2010 01:38 pm - kervala
- % Done changed from 100 to 90

#8 - 10/14/2010 09:01 am - kervala

I noticed 2 things with X11:

    -  When you you let 2 keys pressed at once, only 1 KeyPress event is sent
    -  When you release 1 key after pressing 2 at once, no KeyPress event is sent anymore

I have to compare this behavior with windows one and fix that.

#9 - 10/14/2010 01:45 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 90 to 100

Applied in changeset r927.

#10 - 11/05/2010 03:18 pm - kervala
- Status changed from Resolved to Closed
